diff -ru openssh-3.5p1.orig/sshd.0 openssh-3.5p1/sshd.0
--- openssh-3.5p1.orig/sshd.0	2002-10-04 11:31:45.000000000 +1000
+++ openssh-3.5p1/sshd.0	2003-03-12 21:15:25.000000000 +1100
@@ -462,9 +462,9 @@
              authentication is normally required.  This file must be writable
              only by root; it is recommended that it be world-readable.
 
-             Warning: It is almost never a good idea to use user names in
-             hosts.equiv.  Beware that it really means that the named user(s)
-             can log in as anybody, which includes bin, daemon, adm, and other
+             ^[[1mWarning: It is almost never a good idea to use user names in^[[0m
+             ^[[4mhosts.equiv^[[24m.  Beware that it really means that the named user(s)
+             can log in as ^[[4manybody^[[24m, which includes bin, daemon, adm, and other
              accounts that own critical binaries and directories.  Using a
              user name practically grants the user root access.  The only
              valid use for user names that I can think of is in negative
@@ -473,7 +473,7 @@
              Note that this warning also applies to rsh/rlogin.
 
      /etc/shosts.equiv
-             This is processed exactly as /etc/hosts.equiv.  However, this
+             This is processed exactly as ^[[4m/etc/hosts.equiv^[[24m.  However, this
              file may be useful in environments that want to run both
              rsh/rlogin and ssh.
 
@@ -483,20 +483,20 @@
              `#'), and assignment lines of the form name=value.  The file
              should be writable only by the user; it need not be readable by
              anyone else.  Environment processing is disabled by default and
-             is controlled via the PermitUserEnvironment option.
+             is controlled via the ^[[1mPermitUserEnvironment ^[[22moption.
 
      $HOME/.ssh/rc
              If this file exists, it is run with /bin/sh after reading the
-             environment files but before starting the user's shell or comM--
+             environment files but before starting the user's shell or com-
              mand.  It must not produce any output on stdout; stderr must be
              used instead.  If X11 forwarding is in use, it will receive the
              "proto cookie" pair in its standard input (and DISPLAY in its
-             environment).  The script must call xauth(1) because sshd will
+             environment).  The script must call xauth(1) because ^[[1msshd ^[[22mwill
              not run xauth automatically to add X11 cookies.
 
              The primary purpose of this file is to run any initialization
              routines which may be needed before the user's home directory
-             becomes accessible; AFS is a particular example of such an enviM--
+             becomes accessible; AFS is a particular example of such an envi-
              ronment.
 
              This file will probably contain some initialization code followed
@@ -513,35 +513,35 @@
                      fi | xauth -q -
              fi
 
-             If this file does not exist, /etc/ssh/sshrc is run, and if that
+             If this file does not exist, ^[[4m/etc/ssh/sshrc^[[24m is run, and if that
              does not exist either, xauth is used to add the cookie.
 
              This file should be writable only by the user, and need not be
              readable by anyone else.
 
      /etc/ssh/sshrc
-             Like $HOME/.ssh/rc.  This can be used to specify machine-specific
+             Like ^[[4m$HOME/.ssh/rc^[[24m.  This can be used to specify machine-specific
              login-time initializations globally.  This file should be
              writable only by root, and should be world-readable.
 
-AUTHORS
+^[[1mAUTHORS^[[0m
      OpenSSH is a derivative of the original and free ssh 1.2.12 release by
      Tatu Ylonen.  Aaron Campbell, Bob Beck, Markus Friedl, Niels Provos, Theo
-     de Raadt and Dug Song removed many bugs, re-added newer features and creM--
+     de Raadt and Dug Song removed many bugs, re-added newer features and cre-
      ated OpenSSH.  Markus Friedl contributed the support for SSH protocol
      versions 1.5 and 2.0.  Niels Provos and Markus Friedl contributed support
      for privilege separation.
 
-SEE ALSO
+^[[1mSEE ALSO^[[0m
      scp(1), sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1),
      login.conf(5), moduli(5), sshd_config(5), sftp-server(8)
 
-     T. Ylonen, T. Kivinen, M. Saarinen, T. Rinne, and S. Lehtinen, SSH
-     Protocol Architecture, draft-ietf-secsh-architecture-12.txt, January
+     T. Ylonen, T. Kivinen, M. Saarinen, T. Rinne, and S. Lehtinen, ^[[4mSSH^[[0m
+     ^[[4mProtocol^[[24m ^[[4mArchitecture^[[24m, draft-ietf-secsh-architecture-12.txt, January
      2002, work in progress material.
 
-     M. Friedl, N. Provos, and W. A. Simpson, Diffie-Hellman Group Exchange
-     for the SSH Transport Layer Protocol, draft-ietf-secsh-dh-group-
+     M. Friedl, N. Provos, and W. A. Simpson, ^[[4mDiffie-Hellman^[[24m ^[[4mGroup^[[24m ^[[4mExchange^[[0m
+     ^[[4mfor^[[24m ^[[4mthe^[[24m ^[[4mSSH^[[24m ^[[4mTransport^[[24m ^[[4mLayer^[[24m ^[[4mProtocol^[[24m, draft-ietf-secsh-dh-group-
      exchange-02.txt, January 2002, work in progress material.
 
 BSD                           September 25, 1999                           BSD
diff -ru openssh-3.5p1.orig/sshd.c openssh-3.5p1/sshd.c
--- openssh-3.5p1.orig/sshd.c	2002-09-30 11:59:23.000000000 +1000
+++ openssh-3.5p1/sshd.c	2003-03-12 21:10:26.000000000 +1100
@@ -205,6 +205,9 @@
 extern struct monitor *pmonitor;
 extern int use_privsep;
 
+Buffer expire_message; /* "password will expire/has expired" messages */
+Buffer login_message;  /* message to be displayed after login */
+
 /* Prototypes for various functions defined later in this file. */
 void destroy_sensitive_data(void);
 void demote_sensitive_data(void);
@@ -1494,6 +1497,10 @@
 		if ((authctxt = privsep_preauth()) != NULL)
 			goto authenticated;
 
+	/* prepare buffers to collect authentication/expiry messages */
+	buffer_init(&login_message);
+	buffer_init(&expire_message);
+
 	/* perform the key exchange */
 	/* authenticate user and start session */
 	if (compat20) {
diff -ru openssh-3.5p1.orig/sshd_config.0 openssh-3.5p1/sshd_config.0
--- openssh-3.5p1.orig/sshd_config.0	2002-10-04 11:31:46.000000000 +1000
+++ openssh-3.5p1/sshd_config.0	2003-03-12 21:15:28.000000000 +1100
@@ -1,25 +1,25 @@
-SSHD_CONFIG(5)            System File Formats Manual            SSHD_CONFIG(5)
+SSHD_CONFIG(5)              BSD File Formats Manual             SSHD_CONFIG(5)
 
-NAME
-     sshd_config - OpenSSH SSH daemon configuration file
+^[[1mNAME^[[0m
+     ^[[1msshd_config ^[[22m- OpenSSH SSH daemon configuration file
 
-SYNOPSIS
-     /etc/ssh/sshd_config
+^[[1mSYNOPSIS^[[0m
+     ^[[4m/etc/ssh/sshd_config^[[0m
 
-DESCRIPTION
-     sshd reads configuration data from /etc/ssh/sshd_config (or the file
-     specified with -f on the command line).  The file contains keyword-arguM--
+^[[1mDESCRIPTION^[[0m
+     ^[[1msshd ^[[22mreads configuration data from ^[[4m/etc/ssh/sshd_config^[[24m (or the file
+     specified with ^[[1m-f ^[[22mon the command line).  The file contains keyword-argu-
      ment pairs, one per line.  Lines starting with `#' and empty lines are
      interpreted as comments.
 
-     The possible keywords and their meanings are as follows (note that keyM--
+     The possible keywords and their meanings are as follows (note that key-
      words are case-insensitive and arguments are case-sensitive):
 
-     AFSTokenPassing
+     ^[[1mAFSTokenPassing^[[0m
              Specifies whether an AFS token may be forwarded to the server.
              Default is ``no''.
 
-     AllowGroups
+     ^[[1mAllowGroups^[[0m
              This keyword can be followed by a list of group name patterns,
              separated by spaces.  If specified, login is allowed only for
              users whose primary group or supplementary group list matches one
@@ -27,13 +27,13 @@
              patterns.  Only group names are valid; a numerical group ID is
              not recognized.  By default, login is allowed for all groups.
 
-     AllowTcpForwarding
+     ^[[1mAllowTcpForwarding^[[0m
              Specifies whether TCP forwarding is permitted.  The default is
              ``yes''.  Note that disabling TCP forwarding does not improve
              security unless users are also denied shell access, as they can
              always install their own forwarders.
 
-     AllowUsers
+     ^[[1mAllowUsers^[[0m
              This keyword can be followed by a list of user name patterns,
              separated by spaces.  If specified, login is allowed only for
              users names that match one of the patterns.  `*' and `'?  can be
@@ -43,64 +43,64 @@
              then USER and HOST are separately checked, restricting logins to
              particular users from particular hosts.
 
-     AuthorizedKeysFile
+     ^[[1mAuthorizedKeysFile^[[0m
              Specifies the file that contains the public keys that can be used
-             for user authentication.  AuthorizedKeysFile may contain tokens
+             for user authentication.  ^[[1mAuthorizedKeysFile ^[[22mmay contain tokens
              of the form %T which are substituted during connection set-up.
              The following tokens are defined: %% is replaced by a literal
              '%', %h is replaced by the home directory of the user being
              authenticated and %u is replaced by the username of that user.
-             After expansion, AuthorizedKeysFile is taken to be an absolute
+             After expansion, ^[[1mAuthorizedKeysFile ^[[22mis taken to be an absolute
              path or one relative to the user's home directory.  The default
              is ``.ssh/authorized_keys''.
 
-     Banner  In some jurisdictions, sending a warning message before authentiM--
-             cation may be relevant for getting legal protection.  The conM--
+     ^[[1mBanner  ^[[22mIn some jurisdictions, sending a warning message before authenti-
+             cation may be relevant for getting legal protection.  The con-
              tents of the specified file are sent to the remote user before
              authentication is allowed.  This option is only available for
              protocol version 2.  By default, no banner is displayed.
 
-     ChallengeResponseAuthentication
+     ^[[1mChallengeResponseAuthentication^[[0m
              Specifies whether challenge response authentication is allowed.
              All authentication styles from login.conf(5) are supported.  The
              default is ``yes''.
 
-     Ciphers
+     ^[[1mCiphers^[[0m
              Specifies the ciphers allowed for protocol version 2.  Multiple
              ciphers must be comma-separated.  The default is
 
                ``aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,arcfour,
                  aes192-cbc,aes256-cbc''
 
-     ClientAliveInterval
+     ^[[1mClientAliveInterval^[[0m
              Sets a timeout interval in seconds after which if no data has
-             been received from the client, sshd will send a message through
+             been received from the client, ^[[1msshd ^[[22mwill send a message through
              the encrypted channel to request a response from the client.  The
              default is 0, indicating that these messages will not be sent to
              the client.  This option applies to protocol version 2 only.
 
-     ClientAliveCountMax
+     ^[[1mClientAliveCountMax^[[0m
              Sets the number of client alive messages (see above) which may be
-             sent without sshd receiving any messages back from the client. If
+             sent without ^[[1msshd ^[[22mreceiving any messages back from the client. If
              this threshold is reached while client alive messages are being
-             sent, sshd will disconnect the client, terminating the session.
+             sent, ^[[1msshd ^[[22mwill disconnect the client, terminating the session.
              It is important to note that the use of client alive messages is
-             very different from KeepAlive (below). The client alive messages
+             very different from ^[[1mKeepAlive ^[[22m(below). The client alive messages
              are sent through the encrypted channel and therefore will not be
-             spoofable. The TCP keepalive option enabled by KeepAlive is
+             spoofable. The TCP keepalive option enabled by ^[[1mKeepAlive ^[[22mis
              spoofable. The client alive mechanism is valuable when the client
-             or server depend on knowing when a connection has become inacM--
+             or server depend on knowing when a connection has become inac-
              tive.
 
-             The default value is 3. If ClientAliveInterval (above) is set to
-             15, and ClientAliveCountMax is left at the default, unresponsive
+             The default value is 3. If ^[[1mClientAliveInterval ^[[22m(above) is set to
+             15, and ^[[1mClientAliveCountMax ^[[22mis left at the default, unresponsive
              ssh clients will be disconnected after approximately 45 seconds.
 
-     Compression
+     ^[[1mCompression^[[0m
              Specifies whether compression is allowed.  The argument must be
              ``yes'' or ``no''.  The default is ``yes''.
 
-     DenyGroups
+     ^[[1mDenyGroups^[[0m
              This keyword can be followed by a list of group name patterns,
              separated by spaces.  Login is disallowed for users whose primary
              group or supplementary group list matches one of the patterns.
@@ -108,7 +108,7 @@
              group names are valid; a numerical group ID is not recognized.
              By default, login is allowed for all groups.
 
-     DenyUsers
+     ^[[1mDenyUsers^[[0m
              This keyword can be followed by a list of user name patterns,
              separated by spaces.  Login is disallowed for user names that
              match one of the patterns.  `*' and `'?  can be used as wildcards
@@ -118,50 +118,50 @@
              separately checked, restricting logins to particular users from
              particular hosts.
 
-     GatewayPorts
+     ^[[1mGatewayPorts^[[0m
              Specifies whether remote hosts are allowed to connect to ports
-             forwarded for the client.  By default, sshd binds remote port
+             forwarded for the client.  By default, ^[[1msshd ^[[22mbinds remote port
              forwardings to the loopback address.  This prevents other remote
-             hosts from connecting to forwarded ports.  GatewayPorts can be
-             used to specify that sshd should bind remote port forwardings to
+             hosts from connecting to forwarded ports.  ^[[1mGatewayPorts ^[[22mcan be
+             used to specify that ^[[1msshd ^[[22mshould bind remote port forwardings to
              the wildcard address, thus allowing remote hosts to connect to
              forwarded ports.  The argument must be ``yes'' or ``no''.  The
              default is ``no''.
 
-     HostbasedAuthentication
+     ^[[1mHostbasedAuthentication^[[0m
              Specifies whether rhosts or /etc/hosts.equiv authentication
              together with successful public key client host authentication is
              allowed (hostbased authentication).  This option is similar to
-             RhostsRSAAuthentication and applies to protocol version 2 only.
+             ^[[1mRhostsRSAAuthentication ^[[22mand applies to protocol version 2 only.
              The default is ``no''.
 
-     HostKey
+     ^[[1mHostKey^[[0m
              Specifies a file containing a private host key used by SSH.  The
-             default is /etc/ssh/ssh_host_key for protocol version 1, and
-             /etc/ssh/ssh_host_rsa_key and /etc/ssh/ssh_host_dsa_key for proM--
-             tocol version 2.  Note that sshd will refuse to use a file if it
+             default is ^[[4m/etc/ssh/ssh_host_key^[[24m for protocol version 1, and
+             ^[[4m/etc/ssh/ssh_host_rsa_key^[[24m and ^[[4m/etc/ssh/ssh_host_dsa_key^[[24m for pro-
+             tocol version 2.  Note that ^[[1msshd ^[[22mwill refuse to use a file if it
              is group/world-accessible.  It is possible to have multiple host
              key files.  ``rsa1'' keys are used for version 1 and ``dsa'' or
              ``rsa'' are used for version 2 of the SSH protocol.
 
-     IgnoreRhosts
-             Specifies that .rhosts and .shosts files will not be used in
-             RhostsAuthentication, RhostsRSAAuthentication or
-             HostbasedAuthentication.
+     ^[[1mIgnoreRhosts^[[0m
+             Specifies that ^[[4m.rhosts^[[24m and ^[[4m.shosts^[[24m files will not be used in
+             ^[[1mRhostsAuthentication^[[22m, ^[[1mRhostsRSAAuthentication ^[[22mor
+             ^[[1mHostbasedAuthentication^[[22m.
 
-             /etc/hosts.equiv and /etc/shosts.equiv are still used.  The
+             ^[[4m/etc/hosts.equiv^[[24m and ^[[4m/etc/shosts.equiv^[[24m are still used.  The
              default is ``yes''.
 
-     IgnoreUserKnownHosts
-             Specifies whether sshd should ignore the user's
-             $HOME/.ssh/known_hosts during RhostsRSAAuthentication or
-             HostbasedAuthentication.  The default is ``no''.
+     ^[[1mIgnoreUserKnownHosts^[[0m
+             Specifies whether ^[[1msshd ^[[22mshould ignore the user's
+             ^[[4m$HOME/.ssh/known_hosts^[[24m during ^[[1mRhostsRSAAuthentication ^[[22mor
+             ^[[1mHostbasedAuthentication^[[22m.  The default is ``no''.
 
-     KeepAlive
+     ^[[1mKeepAlive^[[0m
              Specifies whether the system should send TCP keepalive messages
              to the other side.  If they are sent, death of the connection or
              crash of one of the machines will be properly noticed.  However,
-             this means that connections will die if the route is down temM--
+             this means that connections will die if the route is down tem-
              porarily, and some people find it annoying.  On the other hand,
              if keepalives are not sent, sessions may hang indefinitely on the
              server, leaving ``ghost'' users and consuming server resources.
@@ -172,183 +172,183 @@
 
              To disable keepalives, the value should be set to ``no''.
 
-     KerberosAuthentication
+     ^[[1mKerberosAuthentication^[[0m
              Specifies whether Kerberos authentication is allowed.  This can
-             be in the form of a Kerberos ticket, or if PasswordAuthentication
+             be in the form of a Kerberos ticket, or if ^[[1mPasswordAuthentication^[[0m
              is yes, the password provided by the user will be validated
              through the Kerberos KDC.  To use this option, the server needs a
-             Kerberos servtab which allows the verification of the KDC's idenM--
+             Kerberos servtab which allows the verification of the KDC's iden-
              tity.  Default is ``no''.
 
-     KerberosOrLocalPasswd
+     ^[[1mKerberosOrLocalPasswd^[[0m
              If set then if password authentication through Kerberos fails
              then the password will be validated via any additional local
-             mechanism such as /etc/passwd.  Default is ``yes''.
+             mechanism such as ^[[4m/etc/passwd^[[24m.  Default is ``yes''.
 
-     KerberosTgtPassing
+     ^[[1mKerberosTgtPassing^[[0m
              Specifies whether a Kerberos TGT may be forwarded to the server.
              Default is ``no'', as this only works when the Kerberos KDC is
              actually an AFS kaserver.
 
-     KerberosTicketCleanup
+     ^[[1mKerberosTicketCleanup^[[0m
              Specifies whether to automatically destroy the user's ticket
              cache file on logout.  Default is ``yes''.
 
-     KeyRegenerationInterval
+     ^[[1mKeyRegenerationInterval^[[0m
              In protocol version 1, the ephemeral server key is automatically
              regenerated after this many seconds (if it has been used).  The
-             purpose of regeneration is to prevent decrypting captured sesM--
+             purpose of regeneration is to prevent decrypting captured ses-
              sions by later breaking into the machine and stealing the keys.
              The key is never stored anywhere.  If the value is 0, the key is
              never regenerated.  The default is 3600 (seconds).
 
-     ListenAddress
-             Specifies the local addresses sshd should listen on.  The followM--
+     ^[[1mListenAddress^[[0m
+             Specifies the local addresses ^[[1msshd ^[[22mshould listen on.  The follow-
              ing forms may be used:
 
-                   ListenAddress host|IPv4_addr|IPv6_addr
-                   ListenAddress host|IPv4_addr:port
-                   ListenAddress [host|IPv6_addr]:port
-
-             If port is not specified, sshd will listen on the address and all
-             prior Port options specified. The default is to listen on all
-             local addresses.  Multiple ListenAddress options are permitted.
-             Additionally, any Port options must precede this option for non
+                   ^[[1mListenAddress ^[[4m^[[22mhost^[[24m|^[[4mIPv4_addr^[[24m|^[[4mIPv6_addr^[[0m
+                   ^[[1mListenAddress ^[[4m^[[22mhost^[[24m|^[[4mIPv4_addr^[[24m:^[[4mport^[[0m
+                   ^[[1mListenAddress ^[[22m[^[[4mhost^[[24m|^[[4mIPv6_addr^[[24m]:^[[4mport^[[0m
+
+             If ^[[4mport^[[24m is not specified, ^[[1msshd ^[[22mwill listen on the address and all
+             prior ^[[1mPort ^[[22moptions specified. The default is to listen on all
+             local addresses.  Multiple ^[[1mListenAddress ^[[22moptions are permitted.
+             Additionally, any ^[[1mPort ^[[22moptions must precede this option for non
              port qualified addresses.
 
-     LoginGraceTime
-             The server disconnects after this time if the user has not sucM--
+     ^[[1mLoginGraceTime^[[0m
+             The server disconnects after this time if the user has not suc-
              cessfully logged in.  If the value is 0, there is no time limit.
              The default is 120 seconds.
 
-     LogLevel
+     ^[[1mLogLevel^[[0m
              Gives the verbosity level that is used when logging messages from
-             sshd.  The possible values are: QUIET, FATAL, ERROR, INFO, VERM--
+             ^[[1msshd^[[22m.  The possible values are: QUIET, FATAL, ERROR, INFO, VER-
              BOSE, DEBUG, DEBUG1, DEBUG2 and DEBUG3.  The default is INFO.
              DEBUG and DEBUG1 are equivalent.  DEBUG2 and DEBUG3 each specify
              higher levels of debugging output.  Logging with a DEBUG level
              violates the privacy of users and is not recommended.
 
-     MACs    Specifies the available MAC (message authentication code) algoM--
+     ^[[1mMACs    ^[[22mSpecifies the available MAC (message authentication code) algo-
              rithms.  The MAC algorithm is used in protocol version 2 for data
-             integrity protection.  Multiple algorithms must be comma-sepaM--
+             integrity protection.  Multiple algorithms must be comma-sepa-
              rated.  The default is
              ``hmac-md5,hmac-sha1,hmac-ripemd160,hmac-sha1-96,hmac-md5-96''.
 
-     MaxStartups
-             Specifies the maximum number of concurrent unauthenticated conM--
-             nections to the sshd daemon.  Additional connections will be
-             dropped until authentication succeeds or the LoginGraceTime
+     ^[[1mMaxStartups^[[0m
+             Specifies the maximum number of concurrent unauthenticated con-
+             nections to the ^[[1msshd ^[[22mdaemon.  Additional connections will be
+             dropped until authentication succeeds or the ^[[1mLoginGraceTime^[[0m
              expires for a connection.  The default is 10.
 
              Alternatively, random early drop can be enabled by specifying the
              three colon separated values ``start:rate:full'' (e.g.,
-             "10:30:60").  sshd will refuse connection attempts with a probaM--
+             "10:30:60").  ^[[1msshd ^[[22mwill refuse connection attempts with a proba-
              bility of ``rate/100'' (30%) if there are currently ``start''
-             (10) unauthenticated connections.  The probability increases linM--
+             (10) unauthenticated connections.  The probability increases lin-
              early and all connection attempts are refused if the number of
              unauthenticated connections reaches ``full'' (60).
 
-     PAMAuthenticationViaKbdInt
+     ^[[1mPAMAuthenticationViaKbdInt^[[0m
              Specifies whether PAM challenge response authentication is
              allowed. This allows the use of most PAM challenge response
              authentication modules, but it will allow password authentication
-             regardless of whether PasswordAuthentication is enabled.
+             regardless of whether ^[[1mPasswordAuthentication ^[[22mis enabled.
 
-     PasswordAuthentication
+     ^[[1mPasswordAuthentication^[[0m
              Specifies whether password authentication is allowed.  The
              default is ``yes''.
 
-     PermitEmptyPasswords
+     ^[[1mPermitEmptyPasswords^[[0m
              When password authentication is allowed, it specifies whether the
              server allows login to accounts with empty password strings.  The
              default is ``no''.
 
-     PermitRootLogin
+     ^[[1mPermitRootLogin^[[0m
              Specifies whether root can login using ssh(1).  The argument must
              be ``yes'', ``without-password'', ``forced-commands-only'' or
              ``no''.  The default is ``yes''.
 
-             If this option is set to ``without-password'' password authentiM--
+             If this option is set to ``without-password'' password authenti-
              cation is disabled for root.
 
              If this option is set to ``forced-commands-only'' root login with
              public key authentication will be allowed, but only if the
-             command option has been specified (which may be useful for taking
+             ^[[4mcommand^[[24m option has been specified (which may be useful for taking
              remote backups even if root login is normally not allowed). All
              other authentication methods are disabled for root.
 
              If this option is set to ``no'' root is not allowed to login.
 
-     PermitUserEnvironment
-             Specifies whether ~/.ssh/environment and environment= options in
-             ~/.ssh/authorized_keys are processed by sshd.  The default is
+     ^[[1mPermitUserEnvironment^[[0m
+             Specifies whether ^[[4m~/.ssh/environment^[[24m and ^[[1menvironment= ^[[22moptions in
+             ^[[4m~/.ssh/authorized_keys^[[24m are processed by ^[[1msshd^[[22m.  The default is
              ``no''.  Enabling environment processing may enable users to
-             bypass access restrictions in some configurations using mechaM--
+             bypass access restrictions in some configurations using mecha-
              nisms such as LD_PRELOAD.
 
-     PidFile
-             Specifies the file that contains the process ID of the sshd daeM--
-             mon.  The default is /var/run/sshd.pid.
+     ^[[1mPidFile^[[0m
+             Specifies the file that contains the process ID of the ^[[1msshd ^[[22mdae-
+             mon.  The default is ^[[4m/var/run/sshd.pid^[[24m.
 
-     Port    Specifies the port number that sshd listens on.  The default is
+     ^[[1mPort    ^[[22mSpecifies the port number that ^[[1msshd ^[[22mlistens on.  The default is
              22.  Multiple options of this type are permitted.  See also
-             ListenAddress.
+             ^[[1mListenAddress^[[22m.
 
-     PrintLastLog
-             Specifies whether sshd should print the date and time when the
+     ^[[1mPrintLastLog^[[0m
+             Specifies whether ^[[1msshd ^[[22mshould print the date and time when the
              user last logged in.  The default is ``yes''.
 
-     PrintMotd
-             Specifies whether sshd should print /etc/motd when a user logs in
+     ^[[1mPrintMotd^[[0m
+             Specifies whether ^[[1msshd ^[[22mshould print ^[[4m/etc/motd^[[24m when a user logs in
              interactively.  (On some systems it is also printed by the shell,
-             /etc/profile, or equivalent.)  The default is ``yes''.
+             ^[[4m/etc/profile^[[24m, or equivalent.)  The default is ``yes''.
 
-     Protocol
-             Specifies the protocol versions sshd supports.  The possible valM--
-             ues are ``1'' and ``2''.  Multiple versions must be comma-sepaM--
-             rated.  The default is ``2,1''.  Note that the order of the proM--
+     ^[[1mProtocol^[[0m
+             Specifies the protocol versions ^[[1msshd ^[[22msupports.  The possible val-
+             ues are ``1'' and ``2''.  Multiple versions must be comma-sepa-
+             rated.  The default is ``2,1''.  Note that the order of the pro-
              tocol list does not indicate preference, because the client
              selects among multiple protocol versions offered by the server.
              Specifying ``2,1'' is identical to ``1,2''.
 
-     PubkeyAuthentication
+     ^[[1mPubkeyAuthentication^[[0m
              Specifies whether public key authentication is allowed.  The
              default is ``yes''.  Note that this option applies to protocol
              version 2 only.
 
-     RhostsAuthentication
+     ^[[1mRhostsAuthentication^[[0m
              Specifies whether authentication using rhosts or /etc/hosts.equiv
-             files is sufficient.  Normally, this method should not be permitM--
-             ted because it is insecure.  RhostsRSAAuthentication should be
+             files is sufficient.  Normally, this method should not be permit-
+             ted because it is insecure.  ^[[1mRhostsRSAAuthentication ^[[22mshould be
              used instead, because it performs RSA-based host authentication
              in addition to normal rhosts or /etc/hosts.equiv authentication.
              The default is ``no''.  This option applies to protocol version 1
              only.
 
-     RhostsRSAAuthentication
+     ^[[1mRhostsRSAAuthentication^[[0m
              Specifies whether rhosts or /etc/hosts.equiv authentication
              together with successful RSA host authentication is allowed.  The
              default is ``no''.  This option applies to protocol version 1
              only.
 
-     RSAAuthentication
+     ^[[1mRSAAuthentication^[[0m
              Specifies whether pure RSA authentication is allowed.  The
              default is ``yes''.  This option applies to protocol version 1
              only.
 
-     ServerKeyBits
+     ^[[1mServerKeyBits^[[0m
              Defines the number of bits in the ephemeral protocol version 1
              server key.  The minimum value is 512, and the default is 768.
 
-     StrictModes
-             Specifies whether sshd should check file modes and ownership of
+     ^[[1mStrictModes^[[0m
+             Specifies whether ^[[1msshd ^[[22mshould check file modes and ownership of
              the user's files and home directory before accepting login.  This
              is normally desirable because novices sometimes accidentally
              leave their directory or files world-writable.  The default is
              ``yes''.
 
-     Subsystem
+     ^[[1mSubsystem^[[0m
              Configures an external subsystem (e.g., file transfer daemon).
              Arguments should be a subsystem name and a command to execute
              upon subsystem request.  The command sftp-server(8) implements
